package com.huimv.video.dhicc.test.request.DepartmentRequest.Cn;

import com.alibaba.fastjson.JSON;
import com.huimv.video.dhicc.test.config.OauthConfigBaseInfo;
import com.huimv.video.dhicc.test.config.OauthConfigBaseInfo03;
import com.huimv.video.dhicc.test.constant.Constant;
import com.huimv.video.dhicc.test.request.BaseRequest;
import com.huimv.video.dhicc.test.request.BaseRequest03;
import com.huimv.video.dhicc.test.utils.HttpURLConnectionUtil;
import com.huimv.video.dhicc.test.utils.HttpsURLConnectionUtil;
import com.huimv.video.dhicc.test.utils.UrlUtil;
import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class DepartmentListRequestCn extends BaseRequest03 {

    private Integer farmId;

    private Integer pageNum;

    private Integer pageSize;

    public DepartmentListRequestCn(OauthConfigBaseInfo03 oauthConfigBaseInfo){
        super(oauthConfigBaseInfo, Constant.HTTP_POST, oauthConfigBaseInfo.getHttpConfigInfo().getPrefixUrl() + Constant.DEPARTMENT_LIST_URL, true);
    }

    @Override
    public String doAction() {
        //重置url信息，替换版本号
        this.setUrl(UrlUtil.dealVersion(this.getUrl()));
        //设置请求参数
        setBody();
        //发送请求
        String res = isEnableHttpTest() ? HttpURLConnectionUtil.doPost(this.getUrl(), this.getBody(), this.getHeader()) : HttpsURLConnectionUtil.doPost(this.getUrl(), this.getBody(), this.getHeader());
        //获取响应
        System.out.println(res);
//         PersonListResponseSg devicePageResponse = JSON.parseObject(res, PersonListResponseSg.class);

        return res;
    }

    private void setBody() {
        //设置请求参数
        Map<String, Object> map = new HashMap<>();
        map.put("pageNum", this.pageNum);
        map.put("pageSize", this.pageSize);
//        map.put("isContain", this.isContain);
//        map.put("searchKey", this.searchKey);
//        map.put("statusList", this.statusList);
//        map.put("departmentId", this.departmentId);
        this.setBody(JSON.toJSONString(map));
    }

    public boolean isEnableHttpTest() {
        return super.getOauthConfigBaseInfo().getHttpConfigInfo().isEnableHttpTest();
    }



}
